
/** This is a class used for printing out debug statements,
 * it can be easily turned on/off.
 * @author TSS
 * @version 3.0
 */
public class Debug {
    /** a boolean to determine whether debug statements should be printed. */
    static private boolean debug = false;
    
    /** This sets the debug variable value
     *
     * @param flag set to true to print out debug statements
     * set to false to print nothing
     */    
    static void setDebug (boolean flag) { debug = flag; }
    
    /** Determines if a debug statement is needed
     *
     * @return debug a boolean
     */    
    static boolean isDebug() { return debug; }
    
    /** This will print a debug statement
     *
     * @param s is the object that will be printed
     */    
    static void println (Object s) {
	if (debug)
	    System.out.println(s.toString());
    }        
}
